Public Member Functions | Public Attributes | List of all members
libpagemaker::PMDStrokeProperties Struct Reference

`#include <PMDTypes.h>`

## Public Member Functions
| PMDStrokeProperties ()

## Public Attributes
uint8_t | m_strokeType
uint16_t | m_strokeWidth
uint8_t | m_strokeColor
uint8_t | m_strokeOverprint
uint8_t | m_strokeTint

## Constructor & Destructor Documentation

## ◆ PMDStrokeProperties()

libpagemaker::PMDStrokeProperties::PMDStrokeProperties | ( |  | ) |

## Member Data Documentation

## ◆ m_strokeColor

uint8_t libpagemaker::PMDStrokeProperties::m_strokeColor

Referenced by libpagemaker::PMDCollector::paintShape(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

## ◆ m_strokeOverprint

uint8_t libpagemaker::PMDStrokeProperties::m_strokeOverprint

Referenced by libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

## ◆ m_strokeTint

uint8_t libpagemaker::PMDStrokeProperties::m_strokeTint

Referenced by libpagemaker::PMDCollector::paintShape(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

## ◆ m_strokeType

uint8_t libpagemaker::PMDStrokeProperties::m_strokeType

Referenced by libpagemaker::PMDCollector::paintShape(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

## ◆ m_strokeWidth

uint16_t libpagemaker::PMDStrokeProperties::m_strokeWidth

Referenced by libpagemaker::PMDCollector::paintShape(), libpagemaker::PMDParser::parseEllipse(), libpagemaker::PMDParser::parseLine(), libpagemaker::PMDParser::parsePolygon(), and libpagemaker::PMDParser::parseRectangle().

The documentation for this struct was generated from the following files:

- PMDTypes.h
- PMDTypes.cpp